package com.nisum.webfluxmongodb;

import io.swagger.v3.oas.annotations.OpenAPIDefinition;
import io.swagger.v3.oas.annotations.info.Info;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
@OpenAPIDefinition(info = @Info(title = "APIs", version = "1.0", description = "Documentation APIs v1.0"))
public class WebfluxMongodbApplication {

	public static void main(String[] args) {
		SpringApplication.run(WebfluxMongodbApplication.class, args);
	}

}


//http://localhost:8080/webjars/swagger-ui/index.html#/